
From: Paul Jackson <pj@sgi.com>

It looks like someone removed UPF_RESOURCES in remove-upf_resources.patch
in parallel with someone adding drivers/firmware/pcdp.c that references
UPF_RESOURCES.

In any event, trying to build a defconfig ia64 2.6.7-mm5 (which includes
CONFIG_SERIAL_8250=y in the .config) fails with:

drivers/firmware/pcdp.c: In function `setup_serial_console':
drivers/firmware/pcdp.c:100: error: `UPF_RESOURCES' undeclared (first use in this function)

Signed-off-by: Paul Jackson <pj@sgi.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/firmware/pcdp.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/firmware/pcdp.c~fix-ia64-upf_resources-pcdpc-267-mm5-build drivers/firmware/pcdp.c
--- 25/drivers/firmware/pcdp.c~fix-ia64-upf_resources-pcdpc-267-mm5-build	2004-07-03 22:33:56.454326192 -0700
+++ 25-akpm/drivers/firmware/pcdp.c	2004-07-03 22:33:56.457325736 -0700
@@ -97,7 +97,7 @@ setup_serial_console(int rev, struct pcd
 		default:  port.type = PORT_UNKNOWN; break;
 	}
 
-	port.flags = UPF_SKIP_TEST | UPF_BOOT_AUTOCONF | UPF_RESOURCES;
+	port.flags = UPF_SKIP_TEST | UPF_BOOT_AUTOCONF;
 
 	if (uart_irq_supported(rev, uart)) {
 		port.irq = acpi_register_gsi(uart->gsi,
_
